<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="com.usai.redant.raimage.ServerSettingActivity">

    <TextView
        android:id="@+id/tv_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Name"
        android:textAppearance="?android:attr/textAppearanceMedium"
        tools:layout_constraintTop_creator="1"
        tools:layout_constraintRight_creator="1"
        android:layout_marginTop="24dp"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_marginLeft="24dp"
        app:layout_constraintLeft_toLeftOf="parent" />

    <TextView
        android:id="@+id/textView3"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Server"
        android:textAppearance="?android:attr/textAppearanceMedium"
        tools:layout_constraintBottom_creator="1"
        tools:layout_constraintLeft_creator="1"
        android:layout_marginLeft="0dp"
        app:layout_constraintLeft_toLeftOf="@+id/tv_name"
        android:layout_marginTop="32dp"
        app:layout_constraintTop_toBottomOf="@+id/tv_name" />

    <EditText
        android:id="@+id/et_name"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="8dp"
        android:layout_marginRight="24dp"
        android:ems="10"
        android:singleLine="true"
        app:layout_constraintLeft_toRightOf="@+id/tv_name"
        app:layout_constraintRight_toRightOf="parent"
        tools:layout_constraintBaseline_creator="1"
        tools:layout_constraintLeft_creator="1"
        tools:layout_constraintRight_creator="1"
        app:layout_constraintTop_toTopOf="@+id/tv_name"
        android:layout_marginTop="0dp"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintBottom_toBottomOf="@+id/tv_name"
        android:layout_marginBottom="0dp"
        app:layout_constraintVertical_bias="0.478">

        <requestFocus />
    </EditText>

    <ImageButton
        android:id="@+id/ibtn_scan"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:src="@drawable/ic_action_scan"
        tools:layout_constraintTop_creator="1"
        tools:layout_constraintRight_creator="1"
        android:layout_marginEnd="112dp"
        android:layout_marginRight="8dp"
        app:layout_constraintRight_toRightOf="parent"
        android:layout_marginLeft="8dp"
        app:layout_constraintLeft_toLeftOf="parent"
        android:layout_marginTop="8dp"
        app:layout_constraintTop_toBottomOf="@+id/et_ia"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_marginBottom="8dp"
        app:layout_constraintVertical_bias="0.26" />

    <EditText
        android:id="@+id/et_ia"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:ems="10"
        android:singleLine="true"
        tools:layout_constraintTop_creator="1"
        tools:layout_constraintRight_creator="1"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="8dp"
        app:layout_constraintRight_toRightOf="@+id/et_name"
        tools:layout_constraintLeft_creator="1"
        app:layout_constraintLeft_toLeftOf="@+id/textView3"
        android:layout_marginLeft="0dp"
        android:layout_marginRight="0dp"
        app:layout_constraintHorizontal_bias="0.0"
        android:layout_marginTop="16dp"
        app:layout_constraintTop_toBottomOf="@+id/textView3" />

</android.support.constraint.ConstraintLayout>